Name:       ocaml-lzo
Version:    0.0.1
Release:    %mkrel 2
Summary:    Bindings to LZO data compression library
License:    LGPL-2.1 with OCaml linking exception
Group:      Development/OCaml
URL:        http://lzo.forge.ocamlcore.org/
Source0:    http://download.ocamlcore.org/lzo/ocaml-lzo/%{version}/ocaml-lzo-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  liblzo-devel
Requires:   liblzo

%description
This library provides OCaml bindings for the LZO library.
LZO is a portable lossless data compression library written in ANSI C.
LZO is not made to provide the best smallest possible size (as Lzma is),
it is made to provide pretty fast compression and *extremely* fast
decompression.

http://www.oberhumer.com/opensource/lzo/
http://en.wikipedia.org/wiki/LZO

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
Requires:   liblzo-devel

%description devel
The %{name}-devel package contains libraries for developing applications
that use %{name}.

%prep
%setup -q -n ocaml-lzo-%{version}

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make all
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/lzo
make install

%files
%dir %{_libdir}/ocaml/lzo
%{_libdir}/ocaml/lzo/META
%{_libdir}/ocaml/lzo/*.cmi
%{_libdir}/ocaml/lzo/*.cma
%{_libdir}/ocaml/lzo/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_docdir}/%{name}-devel
%{_libdir}/ocaml/lzo/*.a
%{_libdir}/ocaml/lzo/*.cmxa
%{_libdir}/ocaml/lzo/*.cmx
%{_libdir}/ocaml/lzo/*.mli


%changelog

* Sun Apr 14 2013 malo <malo> 0.0.1-2.mga3
+ Revision: 410062
- add missing requires

* Wed Mar 06 2013 blue_prawn <blue_prawn> 0.0.1-1.mga3
+ Revision: 401543
- imported package ocaml-lzo

